Bug 25239 - Accessibility: The 'Confirm hold page' contains semantically incorrect headings
Summary: Accessibility: The 'Confirm hold page' contains semantically incorrect headings
Status: Pushed to oldoldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Martin Renvoize
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks: 25150
  Show dependency treegraph
 
Reported: 2020-04-22 06:11 UTC by Martin Renvoize
Modified: 2020-07-26 14:32 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.02, 19.11.08, 19.05.14


Attachments
Bug 25239: Fix semantic heading for opac-reserve.tt (2.85 KB, patch)
2020-06-11 12:09 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 25239: Fix semantic heading for opac-reserve.tt (2.92 KB, patch)
2020-06-11 14:18 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
Bug 25239: Fix semantic heading for opac-reserve.tt (2.97 KB, patch)
2020-06-21 14:11 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2020-04-22 06:11:48 UTC
Library Catalogue - OPAC

The ‘Confirm reservations for: Person X (111000111)’ heading is not logical because it increases by more than one heading level. This means that screen reader users may not be able to determine the structure of content on the page.

1/ Search for an item and attempt to reserve it

Current Code:
<h3>Confirm reservations for: Person X (111000111)</h3>
Comment 1 Martin Renvoize 2020-06-11 12:09:47 UTC
Created attachment 105741 [details] [review]
Bug 25239: Fix semantic heading for opac-reserve.tt

Prior to this patch, the opac-reserve contained semantically incorrect headings.

Test plan
1/ Perform a search which yields some results in the OPAC
2/ Attempt to place a hold on an item.
3/ On the resulting screen, note that the headings are:
   H1 (Koha page title) > H3 (Confirm holds for) > H5 (Hold levels)
4/ Apply this patch and reload the page
5/ Re-inspect the elements in question note the heading semantics are now:
   H1 (Title of page) > H2 (Confirm holds for) > H3 (Hold levels)
6/ Note the appearance of the box is still reasonable
7/ Signoff
Comment 2 PTFS Europe Sandboxes 2020-06-11 14:18:03 UTC
Created attachment 105758 [details] [review]
Bug 25239: Fix semantic heading for opac-reserve.tt

Prior to this patch, the opac-reserve contained semantically incorrect headings.

Test plan
1/ Perform a search which yields some results in the OPAC
2/ Attempt to place a hold on an item.
3/ On the resulting screen, note that the headings are:
   H1 (Koha page title) > H3 (Confirm holds for) > H5 (Hold levels)
4/ Apply this patch and reload the page
5/ Re-inspect the elements in question note the heading semantics are now:
   H1 (Title of page) > H2 (Confirm holds for) > H3 (Hold levels)
6/ Note the appearance of the box is still reasonable
7/ Signoff

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 3 Sally 2020-06-11 14:24:48 UTC
Works great - just a note for future testers, to make H3 (Hold levels) appear, do the following:  

1/ Perform a search which yields some results in the OPAC
2/ Place a hold on an item
3/ Go back to the same record and attempt to place a second hold
4/ On the resulting screen, note that the headings are:
   H1 (Koha page title) > H3 (Confirm holds for) > H5 (Hold levels)
5/ Apply this patch and reload the page
6/ Re-inspect the elements in question note the heading semantics are now:
   H1 (Title of page) > H2 (Confirm holds for) > H3 (Hold levels)
7/ Note the appearance of the box is still reasonable
8/ Signoff
Comment 4 Katrin Fischer 2020-06-21 14:11:51 UTC
Created attachment 106116 [details] [review]
Bug 25239: Fix semantic heading for opac-reserve.tt

Prior to this patch, the opac-reserve contained semantically incorrect headings.

Test plan
1/ Perform a search which yields some results in the OPAC
2/ Attempt to place a hold on an item.
3/ On the resulting screen, note that the headings are:
   H1 (Koha page title) > H3 (Confirm holds for) > H5 (Hold levels)
4/ Apply this patch and reload the page
5/ Re-inspect the elements in question note the heading semantics are now:
   H1 (Title of page) > H2 (Confirm holds for) > H3 (Hold levels)
6/ Note the appearance of the box is still reasonable
7/ Signoff

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2020-06-24 13:32:20 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 6 Lucas Gass 2020-07-10 17:08:50 UTC
backported to 20.05.x for 20.05.02
Comment 7 Aleisha Amohia 2020-07-13 02:53:04 UTC
There are no <h5> headings on this page in 19.11.x. I'd like to backport this for accessibility, but need someone to write a patch that fixes the <h3>Confirm holds for:</h3> for 19.11.x only.
Comment 8 Aleisha Amohia 2020-07-13 03:32:38 UTC
decided to rebase myself :)

backported to 19.11.x for 19.11.08
Comment 9 Victor Grousset/tuxayo 2020-07-26 14:32:28 UTC
Backported to 19.05.x branch for 19.05.14